#!/system/bin/sh
MODDIR=${0%/*}
rm -rf $MODPATH/LICENSE
FILESPATH="system/bin"
Path="/sdcard"
bb="/data/adb/magisk/busybox"
until [ "$(getprop sys.boot_completed)" = "1" ] || [ "$(getprop dev.bootcomplete)" = "1" ]
do
sleep 1
done

#AimOptimizeNew
cmd device_config put touchscreen input_drag_min_switch_speed 500
settings put secure multi_press_timeout "$1" > /dev/null 2>&1
settings put secure long_press_timeout "$2" > /dev/null 2>&1
pm log-visibility --disable "$2" > /dev/null 2>&1
pm log-visibility --disable "$1" > /dev/null 2>&1

# Pengaturan swipe random
x1=$(expr $RANDOM % 1000 + 1)
y1=$(expr $RANDOM % 1000 + 1)
x2=$(expr $RANDOM % 1000 + 1)
y2=$(expr $RANDOM % 1000 + 1)
duration=$(expr $RANDOM % 1000 + 500)
input swipe $x1 $y1 $x2 $y2 $duration > /dev/null 2>&1

settings put secure long_press_timeout=300
setprop touch.orientationAware=0
setprop touch.size.scale=1
setprop touch.size.isSummed=0
setprop touch.pressure.scale=0
setprop SurfaceOrientation=0
setprop TapDragInterval=0.1ms
setprop QuietInterval=0.1ms
setprop MovementSpeedRatio=0.8
setprop touch.pressure.scale=0.0001
setprop touch.orientationAware=0
setprop persist.sys.ui.hw=1
setprop touch.size.calibration=geometric
setprop touch.size.scale=1
setprop touch.size.bias=0
setprop touch.size.isSummed=0
setprop persist.device_config.runtime_native.usap_pool_enabled=true
setprop touch.orientation.calibration=interpolated 
setprop touch.distance.calibration=area
setprop touch.distance.scale=0
setprop touch.coverage.calibration=box
setprop touch.pressure.scale=0
setprop touch.gestureMode=spots
setprop MultitouchMinDistance=1px
setprop MultitouchSettleInterval=0.1ms
setprop SurfaceOrientation=0
setprop TapInterval=0.1ms
setprop TapDragInterval=0.1ms
setprop QuietInterval=0.1ms
setprop MovementSpeedRatio=0.8
setprop TapSlop=1px
setprop persist.dev.pm.dyn_samplingrate=1
setprop touch.pressure.calibration=amplitude

# Konfigurasi Layar Sentuh
# Mengaktifkan fitur game switch, mengatur arah layar sentuh, dan menonaktifkan batasan layar sentuh
echo "1" > /proc/touchpanel/game_switch_enable
echo "1" > /proc/touchpanel/oppo_tp_direction
echo "0" > /proc/touchpanel/oppo_tp_limit_enable
echo "0" > /proc/touchpanel/oplus_tp_limit_enable
echo "1" > /proc/touchpanel/oplus_tp_direction

####################################
# Touchboost
####################################
echo '0' > "/sys/module/msm_perfmon/parameters/touch_boost_enable"
echo '0' > "/sys/module/msm_perfmon/parameters/touch_boost_freq"
echo '0' > "/sys/module/msm_performance/parameters/touchboost"
echo '0' > "/sys/power/pnpmgr/touch_boost"

exit 0